Basic question about mongrel


#1

I am new to rails and try to setup mongrel on my windows machine.

When execute “gem install mongrel” shall I choose mongrel 1.0.1(ruby) or
mongrel 1.0.1(win32)?

If I choose mongrel 1.0.1(ruby), I will get “nmake” not recognized
error.

I tried switch to mongrel 1.0.1(win32), and it installs fine and starts
fine but when I try to stop it with “mongrel_rails stop” I got
“log/mongrel.pid” not found error.

Does anyone know how to solve that?

Thanks in advance


#2

anakintang wrote:

I am new to rails and try to setup mongrel on my windows machine.

When execute “gem install mongrel” shall I choose mongrel 1.0.1(ruby) or
mongrel 1.0.1(win32)?

If I choose mongrel 1.0.1(ruby), I will get “nmake” not recognized
error.

I tried switch to mongrel 1.0.1(win32), and it installs fine and starts
fine but when I try to stop it with “mongrel_rails stop” I got
“log/mongrel.pid” not found error.

Does anyone know how to solve that?

Thanks in advance

I think “mongrel_rails stop” is not supposed to work in Windows. Just
CTRL-C in the command window from which you started the server to stop
it.


#3

Andrew Z wrote:

anakintang wrote:

I am new to rails and try to setup mongrel on my windows machine.

When execute “gem install mongrel” shall I choose mongrel 1.0.1(ruby) or
mongrel 1.0.1(win32)?

If I choose mongrel 1.0.1(ruby), I will get “nmake” not recognized
error.

I tried switch to mongrel 1.0.1(win32), and it installs fine and starts
fine but when I try to stop it with “mongrel_rails stop” I got
“log/mongrel.pid” not found error.

Does anyone know how to solve that?

Thanks in advance

I think “mongrel_rails stop” is not supposed to work in Windows. Just
CTRL-C in the command window from which you started the server to stop
it.

I suspect so cuz I have to start another cmd window to stop the one I
used for start, which is just not neat.